Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156092 - http://crash.fce.vutbr.cz/crash-hat/3.91 doesn't exist
Summary: http://crash.fce.vutbr.cz/crash-hat/3.91 doesn't exist
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-27 14:37 UTC by Horst H. von Brand
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-25 19:06:11 UTC


Attachments (Terms of Use)

Description Horst H. von Brand 2005-04-27 14:37:40 UTC
Description of problem:
Can't update after updating up2date, it always tries to use the mentioned mirror
site. The site is there, but it doesn't carry FC4t2.

Version-Release number of selected component (if applicable):
up2date-4.4.15-4

How reproducible:
Always

Steps to Reproduce:
1. run up2date as root
2.
3.
  
Actual results:
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-rawhide
using mirror: http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386/




INIT


Baseurl(s) for repo:
['http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/',
'http://mirror.hiwaay.net/redhat/fedora/linux/core/development/i386/',
'http://ftp.dulug.duke.edu/pub/fedora/linux/core/development/i386/',
'http://mirrors.kernel.org/fedora/core/development/i386/',
'http://sunsite.mff.cuni.cz/pub/fedora/development/i386/',
'http://distro.ibiblio.org/pub/linux/distributions/fedora/linux/core/development/i386/']
Baseurl(s) for repo: ['http://crash.fce.vutbr.cz/crash-hat/3.91']
Cannot open/read repomd.xml file for repository: crash-hat
failure: repodata/repomd.xml from crash-hat: [Errno 256] No more mirrors to
try.Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1231, in exceptionHandler
    log = up2dateLog.initLog()
NameError: global name 'up2dateLog' is not defined

Original exception was:
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1264, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 799, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1119, in batchRun
    batch.init()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 65, in init
    self.__findPackagesToUpdate()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 101, in
__findPackagesToUpdate
    plist.addGlobs(self.listOfGlobs)
  File "/usr/share/rhn/up2date_client/packageList.py", line 160, in addGlobs
    availList = rhnPackageInfo.getAvailablePackageList()
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 235, in
getAvailablePackageList
    package_list = availablePackageList(
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 153, in
availablePackageList
    repos = repoDirector.initRepoDirector()
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 76, in initRepoDirector
    repomdRepo.register(rd)
  File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py", line 404, in
register
    repomdRepo = RepomdRepo()
  File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py", line 367, in
__init__
    self.rmdrs = RepomdRepoSource()
  File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py", line 108, in
__init__
    YumBaseWrapper.__init__(self)
  File "/usr/share/rhn/up2date_client/repoBackends/repomdRepo.py", line 42, in
__init__
    self.yb.doRepoSetup()
  File "__init__.py", line 216, in doRepoSetup
  File "repos.py", line 628, in getRepoXML
  File "repos.py", line 607, in get
yum.Errors.RepoError: failure: repodata/repomd.xml from crash-hat: [Errno 256]
No more mirrors to try.

Expected results:
No chatter, tell me there aren't updates (at least "Red Hat Network Alert
Notification Tool 2.1.17" for Gnome shows a blue check) or update the system (I
had to get kernel &co by hand to update them, up2date crashed as now).

Additional info:

Comment 1 Horst H. von Brand 2005-04-27 18:20:04 UTC
Found a file /etc/yum.repos.d/crash-hat.repo, which caused the whole mess. rpm
claims it doesn't belong to any package (?). Deleting it up2date works again
(but still blabbers too much).


Note You need to log in before you can comment on or make changes to this bug.